import { NgPackagerHooks, NormalizedNgPackagerHooks } from './hooks';
import { JobMetadata, Type } from './job';
export declare class HookRegistry {
    private _jobs;
    private _hooks;
    get hasSelfWatchJob(): boolean;
    constructor(initialHooks?: NgPackagerHooks);
    register<T>(job: Type<T>): this;
    register<T extends keyof NgPackagerHooks>(hook: T, handlers: NgPackagerHooks[T]): this;
    getHooks(): NormalizedNgPackagerHooks;
    getJobs(): JobMetadata[];
    private getHookPhase;
}
//# sourceMappingURL=hook-registry.d.ts.map