import { NgPackagerHooks } from './hooks';
export interface Type<T = any> extends Function {
    new (...args: any[]): T;
}
export interface JobMetadata {
    schema: string;
    selector: string;
    hooks: NgPackagerHooks;
    internalWatch?: boolean;
}
export declare function findJobMetadata(type: Type): JobMetadata | undefined;
export declare function Job(metadata: JobMetadata): (target: any) => void;
//# sourceMappingURL=job.d.ts.map