"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Job = exports.findJobMetadata = void 0;
const store = new WeakMap();
function findJobMetadata(type) {
    return store.get(type);
}
exports.findJobMetadata = findJobMetadata;
function Job(metadata) {
    return target => {
        store.set(target, metadata);
    };
}
exports.Job = Job;
//# sourceMappingURL=job.js.map